import React from 'react';
import type { ConnectionInfo } from '@mongodb-js/compass-connections/provider';
import type { OpenWorkspaceOptions } from '@mongodb-js/compass-workspaces';
import WorkspacesPlugin from '@mongodb-js/compass-workspaces';
import type { AllPreferences } from 'compass-preferences-model/provider';
import type { TrackFunction, LogFunction, DebugFunction } from './logger-and-telemetry';
type CompassWebProps = {
    appName?: string;
    orgId: string;
    projectId: string;
    darkMode?: boolean;
    initialAutoconnectId?: string;
    initialWorkspace?: OpenWorkspaceOptions;
    onActiveWorkspaceTabChange: React.ComponentProps<typeof WorkspacesPlugin>['onActiveWorkspaceTabChange'];
    initialPreferences?: Partial<AllPreferences>;
    onLog?: LogFunction;
    onDebug?: DebugFunction;
    onTrack?: TrackFunction;
    onOpenConnectViaModal?: (atlasMetadata: ConnectionInfo['atlasMetadata']) => void;
};
declare const CompassWeb: ({ appName, orgId, projectId, darkMode, initialAutoconnectId, initialWorkspace, onActiveWorkspaceTabChange, initialPreferences, onLog, onDebug, onTrack, onOpenConnectViaModal, }: CompassWebProps) => JSX.Element;
export { CompassWeb };
//# sourceMappingURL=entrypoint.d.ts.map